#ifndef __const_h
#define __const_h

#define MAX_SERVER			(50)
#define MAX_DBLCLK_ACTION	(6)
#define TIMESYNC_ID			(MAX_SERVER)
#define MAX_NOTIFY			(MAX_SERVER+1)

#define IDC_CHECK_SERVER_START          5000
#define IDC_CHECK_SERVER_END            5099

#define IDC_CANCEL_CHECK_SERVER_START   5100
#define IDC_CANCEL_CHECK_SERVER_END     5199
#define IDC_CANCEL_CHECK_TIMESYNC       5200


//
// Wave Info
//
struct oWaveInfo
{
	int m_iID;
};

enum eReaderInfoType { RIT_FILENAME, RIT_REGISTRY, RIT_DEFAULT };
struct oReaderInfo
{
	int m_idsTitle;
	const char *m_pszProgram;
	eReaderInfoType m_iReaderInfoType;
};

extern oWaveInfo g_WaveInfo[];
extern oReaderInfo g_ReaderInfo[];

int FindWaveInfo(const char *pszTitle);
int FindReaderInfo(const char *pszTitle);


//
// Socket Connection
//
#define WM_TIMESYNC_NOTIFY	(WM_APP+916)
#define WM_POP_NOTIFY		(WM_APP+917)

enum oSocketStatus
{
	SS_IDLE, SS_INIT, SS_USER, SS_PASS, SS_STAT, SS_LIST, SS_UIDL, SS_DELETE, SS_TOP, SS_SPAM, SS_QUIT
};

enum oSocketConnection
{
	SC_DISCONNECTED, SC_CONNECTED, SC_CONNECTING, SC_DISCONNECTING
};

// SAPI
#define WM_SAPI_NOTIFY		(WM_APP+919)

enum oSAPIStatus
{
	SSTTS_STARTED, SSTTS_DONE
};

struct oStatusMsg
{
	int m_ID;
//	const char *m_pszString;
	CString m_str;
	BOOL m_bEnd;
	BOOL m_bReceived;
	BOOL m_bError;
};

#define MAX_CHECKTIME		(48)
struct oCheckTime
{
	SYSTEMTIME m_st;
	BOOL m_bEnable;
};

// MsgView
#define WM_MSGVIEW_NOTIFY		(WM_APP+920)

// MAPI
#define WM_MAPI_NOTIFY			(WM_APP+921)

// NotifyDlg
#define WM_RESET_NEWMAILCOUNTER	(WM_APP+923)

#endif

